## py-dormakaba-dkey 1.0.5

=== requirements.txt ===
bleak
bleak-retry-connector
cryptography

=== debian/changelog ===
py-dormakaba-dkey (1.0.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 22:42:31 +0100

py-dormakaba-dkey (1.0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1084975)

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 09:42:44 +0100

=== debian/control ===
Source: py-dormakaba-dkey
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/emontnemery/py-dormakaba-dkey
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-dormakaba-dkey
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-dormakaba-dkey.git

Package: python3-py-dormakaba-dkey
Architecture: all
Depends:
 python3-bleak,
 python3-bleak-retry-connector,
 python3-cryptography,
 ${misc:Depends},
 ${python3:Depends},
Description: Library to interact with Dormakaba dKey locks via Bluetooth
 This library enables communication with Dormakaba dKey locks through Bluetooth
 connectivity. It provides interfaces to monitor the lock status, battery
 levels, and deadbolt position. The integration allows direct interaction with
 these devices, enhancing control over lock operations without relying on
 additional gateways or web services. By focusing on local Bluetooth
 connections, it offers reliable interaction with Dormakaba devices, ensuring
 up-to-date status updates and command execution.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=py-dormakaba-dkey
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf py_dormakaba_dkey.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/py-dormakaba-dkey-$1\.tar\.gz/ \
  https://github.com/emontnemery/py-dormakaba-dkey/tags .*/v?(\d\S+)\.tar\.gz

## py-dormakaba-dkey 1.0.6

=== debian/changelog ===
py-dormakaba-dkey (1.0.6-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 03 Sep 2025 07:55:17 +0100

py-dormakaba-dkey (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-bleak and python3-bleak-retry-connector and
    python3-cryptography to Build-Depends.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 18:25:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,16 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-bleak <!nocheck>,
+ python3-bleak-retry-connector <!nocheck>,
+ python3-cryptography <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/emontnemery/py-dormakaba-dkey
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-dormakaba-dkey
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-dormakaba-dkey.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-py-dormakaba-dkey
 Architecture: all

=== debian/watch ===
version=4
https://github.com/emontnemery/py-dormakaba-dkey/tags .*/v?(\d\S+)\.tar\.gz
